Loading...
Searching...
No Matches
TimeDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

DisplayForm child for managing time domain plots. More...

`#include <gnuradio/qtgui/timedisplayform.h>`

## Public Slots

void | customEvent (QEvent *e) override
void | setSampleRate (const double samprate)
void | setSampleRate (const QString &samprate) override
void | setYaxis (double min, double max)
void | setYLabel (const std::string &label, const std::string &unit="")
void | setNPoints (const int)
void | setStem (bool en)
void | autoScale (bool en) override
void | autoScaleShot ()
void | setSemilogx (bool en)
void | setSemilogy (bool en)
void | tagMenuSlot (bool en)
void | setTagMenu (unsigned int which, bool en)
void | updateTrigger (gr::qtgui::trigger_mode mode)
void | setTriggerMode (gr::qtgui::trigger_mode mode)
void | setTriggerSlope (gr::qtgui::trigger_slope slope)
void | setTriggerLevel (QString s)
void | setTriggerLevel (float level)
void | setTriggerDelay (QString s)
void | setTriggerDelay (float delay)
void | setTriggerChannel (int chan)
void | setTriggerTagKey (QString s)
void | setTriggerTagKey (const std::string &s)
void | setupControlPanel (bool en)
void | setupControlPanel ()
void | teardownControlPanel ()
Public Slots inherited from DisplayForm
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Signals

void | signalTriggerMode (gr::qtgui::trigger_mode mode)
void | signalTriggerSlope (gr::qtgui::trigger_slope slope)
void | signalTriggerLevel (float level)
void | signalTriggerDelay (float delay)
void | signalReplot ()
void | signalNPoints (const int npts)
Signals inherited from DisplayForm
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)

## Public Member Functions

| TimeDisplayForm (int nplots=1, QWidget *parent=0)
| ~TimeDisplayForm () override
TimeDomainDisplayPlot * | getPlot () override
int | getNPoints () const
gr::qtgui::trigger_mode | getTriggerMode () const
gr::qtgui::trigger_slope | getTriggerSlope () const
float | getTriggerLevel () const
float | getTriggerDelay () const
int | getTriggerChannel () const
std::string | getTriggerTagKey () const
Public Member Functions inherited from DisplayForm
| DisplayForm (int nplots=1, QWidget *parent=0)
| ~DisplayForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Additional Inherited Members

Protected Attributes inherited from DisplayForm
unsigned int | d_nplots
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
bool | d_system_specified_flag
QwtPlotGrid * | d_grid
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

DisplayForm child for managing time domain plots.

## Constructor & Destructor Documentation

## TimeDisplayForm()

TimeDisplayForm::TimeDisplayForm | ( | int | nplots = 1,
|  | QWidget * | parent = 0 )

## ~TimeDisplayForm()

TimeDisplayForm::~TimeDisplayForm | ( |  | ) |

override

## Member Function Documentation

## autoScale

void TimeDisplayForm::autoScale | ( | bool | en | ) |

override slot

## autoScaleShot

void TimeDisplayForm::autoScaleShot | ( |  | ) |

slot

## customEvent

void TimeDisplayForm::customEvent | ( | QEvent * | e | ) |

override slot

## getNPoints()

int TimeDisplayForm::getNPoints | ( |  | ) | const

## getPlot()

TimeDomainDisplayPlot * TimeDisplayForm::getPlot | ( |  | ) |

override virtual

Implements DisplayForm.

## getTriggerChannel()

int TimeDisplayForm::getTriggerChannel | ( |  | ) | const

## getTriggerDelay()

float TimeDisplayForm::getTriggerDelay | ( |  | ) | const

## getTriggerLevel()

float TimeDisplayForm::getTriggerLevel | ( |  | ) | const

## getTriggerMode()

gr::qtgui::trigger_mode TimeDisplayForm::getTriggerMode | ( |  | ) | const

## getTriggerSlope()

gr::qtgui::trigger_slope TimeDisplayForm::getTriggerSlope | ( |  | ) | const

## getTriggerTagKey()

std::string TimeDisplayForm::getTriggerTagKey | ( |  | ) | const

## setNPoints

void TimeDisplayForm::setNPoints | ( | const int |  | ) |

slot

## setSampleRate [1/2]

void TimeDisplayForm::setSampleRate | ( | const double | samprate | ) |

slot

## setSampleRate [2/2]

void TimeDisplayForm::setSampleRate | ( | const QString & | samprate | ) |

override slot

## setSemilogx

void TimeDisplayForm::setSemilogx | ( | bool | en | ) |

slot

## setSemilogy

void TimeDisplayForm::setSemilogy | ( | bool | en | ) |

slot

## setStem

void TimeDisplayForm::setStem | ( | bool | en | ) |

slot

## setTagMenu

void TimeDisplayForm::setTagMenu | ( | unsigned int | which,
|  | bool | en )

slot

## setTriggerChannel

void TimeDisplayForm::setTriggerChannel | ( | int | chan | ) |

slot

## setTriggerDelay [1/2]

void TimeDisplayForm::setTriggerDelay | ( | float | delay | ) |

slot

## setTriggerDelay [2/2]

void TimeDisplayForm::setTriggerDelay | ( | QString | s | ) |

slot

## setTriggerLevel [1/2]

void TimeDisplayForm::setTriggerLevel | ( | float | level | ) |

slot

## setTriggerLevel [2/2]

void TimeDisplayForm::setTriggerLevel | ( | QString | s | ) |

slot

## setTriggerMode

void TimeDisplayForm::setTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |

slot

## setTriggerSlope

void TimeDisplayForm::setTriggerSlope | ( | gr::qtgui::trigger_slope | slope | ) |

slot

## setTriggerTagKey [1/2]

void TimeDisplayForm::setTriggerTagKey | ( | const std::string & | s | ) |

slot

## setTriggerTagKey [2/2]

void TimeDisplayForm::setTriggerTagKey | ( | QString | s | ) |

slot

## setupControlPanel [1/2]

void TimeDisplayForm::setupControlPanel | ( |  | ) |

slot

## setupControlPanel [2/2]

void TimeDisplayForm::setupControlPanel | ( | bool | en | ) |

slot

## setYaxis

void TimeDisplayForm::setYaxis | ( | double | min,
|  | double | max )

slot

## setYLabel

void TimeDisplayForm::setYLabel | ( | const std::string & | label,
|  | const std::string & | unit = "" )

slot

## signalNPoints

void TimeDisplayForm::signalNPoints | ( | const int | npts | ) |

signal

## signalReplot

void TimeDisplayForm::signalReplot | ( |  | ) |

signal

## signalTriggerDelay

void TimeDisplayForm::signalTriggerDelay | ( | float | delay | ) |

signal

## signalTriggerLevel

void TimeDisplayForm::signalTriggerLevel | ( | float | level | ) |

signal

## signalTriggerMode

void TimeDisplayForm::signalTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |

signal

## signalTriggerSlope

void TimeDisplayForm::signalTriggerSlope | ( | gr::qtgui::trigger_slope | slope | ) |

signal

## tagMenuSlot

void TimeDisplayForm::tagMenuSlot | ( | bool | en | ) |

slot

## teardownControlPanel

void TimeDisplayForm::teardownControlPanel | ( |  | ) |

slot

## updateTrigger

void TimeDisplayForm::updateTrigger | ( | gr::qtgui::trigger_mode | mode | ) |

slot

The documentation for this class was generated from the following file:

- timedisplayform.h